# Set Workspace Warehouse Config

Launch stage: GA

`PUT /api/2.0/sql/config/warehouses`

Sets the workspace level configuration that is shared by all SQL warehouses in a workspace.

API scopes: sql

## Request body

- `security_policy` (string, optional)
  Security policy for warehouses
  Possible values: `NONE`, `DATA_ACCESS_CONTROL`, `PASSTHROUGH`
- `data_access_config` (array of object, optional)
  Spark confs for external hive metastore configuration
   JSON serialized size must be less than <= 512K
  - `key` (string, optional)
  - `value` (string, optional)
- `instance_profile_arn` (string, optional)
  AWS Only: The instance profile used to pass an IAM role to the SQL
   warehouses. This configuration is also applied to the workspace's
   serverless compute for notebooks and jobs.
- `channel` (object, optional)
  Optional: Channel selection details
  - `name` (string, optional)
    Possible values: `CHANNEL_NAME_UNSPECIFIED`, `CHANNEL_NAME_PREVIEW`, `CHANNEL_NAME_CURRENT`, `CHANNEL_NAME_PREVIOUS`, `CHANNEL_NAME_CUSTOM`
  - `dbsql_version` (string, optional)
- `enable_serverless_compute` (boolean, optional)
  Deprecated: only setting this to true is allowed.
- `global_param` (object, optional)
  Deprecated: Use sql_configuration_parameters
  - `config_pair` (array of object, optional)
    Deprecated: Use configuration_pairs
    - `key` (string, optional)
    - `value` (string, optional)
  - `configuration_pairs` (array of object, optional)
    - `key` (string, optional)
    - `value` (string, optional)
- `config_param` (object, optional)
  Deprecated: Use sql_configuration_parameters
  - `config_pair` (array of object, optional)
    Deprecated: Use configuration_pairs
    - `key` (string, optional)
    - `value` (string, optional)
  - `configuration_pairs` (array of object, optional)
    - `key` (string, optional)
    - `value` (string, optional)
- `sql_configuration_parameters` (object, optional)
  SQL configuration parameters
  - `config_pair` (array of object, optional)
    Deprecated: Use configuration_pairs
    - `key` (string, optional)
    - `value` (string, optional)
  - `configuration_pairs` (array of object, optional)
    - `key` (string, optional)
    - `value` (string, optional)
- `google_service_account` (string, optional)
  GCP only: Google Service Account used to pass to cluster to access Google
   Cloud Storage
- `enabled_warehouse_types` (array of object, optional)
  List of Warehouse Types allowed in this workspace (limits allowed value of
   the type field in CreateWarehouse and EditWarehouse). Note: Some types
   cannot be disabled, they don't need to be specified
         in SetWorkspaceWarehouseConfig.
   Note: Disabling a type may cause existing warehouses to be converted to
   another type. Used by frontend to save specific type availability in the
   warehouse create and edit form UI.
  - `warehouse_type` (string, optional)
    Possible values: `TYPE_UNSPECIFIED`, `CLASSIC`, `PRO`
  - `enabled` (boolean, optional)
    If set to false the specific warehouse type will not be allowed as a
     value for warehouse_type in CreateWarehouse and EditWarehouse

## Response

```json
{}
```

